
########## Tcl recorder starts at 05/27/15 15:00:35 ##########

set version "1.7"
set proj_dir "C:/Users/hsteinbacher.DH/Desktop/DHeva_V500"
cd $proj_dir

# Get directory paths
set pver $version
regsub -all {\.} $pver {_} pver
set lscfile "lsc_"
append lscfile $pver ".ini"
set lsvini_dir [lindex [array get env LSC_INI_PATH] 1]
set lsvini_path [file join $lsvini_dir $lscfile]
if {[catch {set fid [open $lsvini_path]} msg]} {
	 puts "File Open Error: $lsvini_path"
	 return false
} else {set data [read $fid]; close $fid }
foreach line [split $data '\n'] { 
	set lline [string tolower $line]
	set lline [string trim $lline]
	if {[string compare $lline "\[paths\]"] == 0} { set path 1; continue}
	if {$path && [regexp {^\[} $lline]} {set path 0; break}
	if {$path && [regexp {^bin} $lline]} {set cpld_bin $line; continue}
	if {$path && [regexp {^fpgapath} $lline]} {set fpga_dir $line; continue}
	if {$path && [regexp {^fpgabinpath} $lline]} {set fpga_bin $line}}

set cpld_bin [string range $cpld_bin [expr [string first "=" $cpld_bin]+1] end]
regsub -all "\"" $cpld_bin "" cpld_bin
set cpld_bin [file join $cpld_bin]
set install_dir [string range $cpld_bin 0 [expr [string first "ispcpld" $cpld_bin]-2]]
regsub -all "\"" $install_dir "" install_dir
set install_dir [file join $install_dir]
set fpga_dir [string range $fpga_dir [expr [string first "=" $fpga_dir]+1] end]
regsub -all "\"" $fpga_dir "" fpga_dir
set fpga_dir [file join $fpga_dir]
set fpga_bin [string range $fpga_bin [expr [string first "=" $fpga_bin]+1] end]
regsub -all "\"" $fpga_bin "" fpga_bin
set fpga_bin [file join $fpga_bin]

if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$fpga_bin;$env(PATH)" }

if {[string match "*$cpld_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$cpld_bin;$env(PATH)" }

lappend auto_path [file join $install_dir "ispcpld" "tcltk" "lib" "ispwidget" "runproc"]
package require runcmd

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ./src/dheva_v500.vhd -o dheva_v500.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:00:35 ###########


########## Tcl recorder starts at 05/27/15 15:00:41 ##########

# Commands to make the Process: 
# Constraint Editor
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheva_v500.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./src/dheva_v500.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheva_v500 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheva_v500.bl2\" -omod \"dheva_v500\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheva_v500 -lci dheva_v500.lct -log dheva_v500.imp -err automake.err -tti dheva_v500.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -blifopt dheva_v500.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheva_v500.bl2 -sweep -mergefb -err automake.err -o dheva_v500.bl3 @dheva_v500.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -diofft dheva_v500.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheva_v500.bl3 -family AMDMACH -idev van -o dheva_v500.bl4 -oxrf dheva_v500.xrf -err automake.err @dheva_v500.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -prefit dheva_v500.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheva_v500.bl4 -out dheva_v500.bl5 -err automake.err -log dheva_v500.log -mod toplevel_DHEval @dheva_v500.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheva_v500.bl5 -o dheva_v500.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:00:41 ###########


########## Tcl recorder starts at 05/27/15 15:06:41 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:06:41 ###########


########## Tcl recorder starts at 05/27/15 15:09:20 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:09:20 ###########


########## Tcl recorder starts at 05/27/15 15:10:42 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:10:42 ###########


########## Tcl recorder starts at 05/27/15 15:14:57 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:14:57 ###########


########## Tcl recorder starts at 05/27/15 15:17:39 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheva_v500.bl5 -o dheva_v500.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:17:39 ###########


########## Tcl recorder starts at 05/27/15 15:21:47 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open dheva_v500.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheva_v500.rs1: $rspFile"
} else {
	puts $rspFile "-i dheva_v500.bl5 -lci dheva_v500.lct -d m4s_128_96 -lco dheva_v500.lco -html_rpt -fti dheva_v500.fti -fmt PLA -tto dheva_v500.tt4 -nojed -eqn dheva_v500.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheva_v500.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheva_v500.rs2: $rspFile"
} else {
	puts $rspFile "-i dheva_v500.bl5 -lci dheva_v500.lct -d m4s_128_96 -lco dheva_v500.lco -html_rpt -fti dheva_v500.fti -fmt PLA -tto dheva_v500.tt4 -eqn dheva_v500.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheva_v500.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheva_v500.rs1
file delete dheva_v500.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheva_v500.bl5 -o dheva_v500.tda -lci dheva_v500.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheva_v500 -if dheva_v500.jed -j2s -log dheva_v500.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:21:47 ###########


########## Tcl recorder starts at 05/27/15 15:24:20 ##########

# Commands to make the Process: 
# Fit Design
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheva_v500 -if dheva_v500.jed -j2s -log dheva_v500.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:24:20 ###########


########## Tcl recorder starts at 05/27/15 15:25:11 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheva_v500.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./src/dheva_v500.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheva_v500 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheva_v500.bl2\" -omod \"dheva_v500\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheva_v500 -lci dheva_v500.lct -log dheva_v500.imp -err automake.err -tti dheva_v500.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -blifopt dheva_v500.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheva_v500.bl2 -sweep -mergefb -err automake.err -o dheva_v500.bl3 @dheva_v500.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -diofft dheva_v500.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheva_v500.bl3 -family AMDMACH -idev van -o dheva_v500.bl4 -oxrf dheva_v500.xrf -err automake.err @dheva_v500.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -prefit dheva_v500.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheva_v500.bl4 -out dheva_v500.bl5 -err automake.err -log dheva_v500.log -mod toplevel_DHEval @dheva_v500.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheva_v500.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheva_v500.rs1: $rspFile"
} else {
	puts $rspFile "-i dheva_v500.bl5 -lci dheva_v500.lct -d m4s_128_96 -lco dheva_v500.lco -html_rpt -fti dheva_v500.fti -fmt PLA -tto dheva_v500.tt4 -nojed -eqn dheva_v500.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheva_v500.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheva_v500.rs2: $rspFile"
} else {
	puts $rspFile "-i dheva_v500.bl5 -lci dheva_v500.lct -d m4s_128_96 -lco dheva_v500.lco -html_rpt -fti dheva_v500.fti -fmt PLA -tto dheva_v500.tt4 -eqn dheva_v500.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheva_v500.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheva_v500.rs1
file delete dheva_v500.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheva_v500.bl5 -o dheva_v500.tda -lci dheva_v500.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheva_v500 -if dheva_v500.jed -j2s -log dheva_v500.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:25:11 ###########


########## Tcl recorder starts at 05/27/15 15:26:20 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheva_v500.bl5 -o dheva_v500.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:26:20 ###########


########## Tcl recorder starts at 05/27/15 15:28:21 ##########

# Commands to make the Process: 
# Constraint Editor
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheva_v500.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./src/dheva_v500.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheva_v500 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheva_v500.bl2\" -omod \"dheva_v500\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheva_v500 -lci dheva_v500.lct -log dheva_v500.imp -err automake.err -tti dheva_v500.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -blifopt dheva_v500.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheva_v500.bl2 -sweep -mergefb -err automake.err -o dheva_v500.bl3 @dheva_v500.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -diofft dheva_v500.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheva_v500.bl3 -family AMDMACH -idev van -o dheva_v500.bl4 -oxrf dheva_v500.xrf -err automake.err @dheva_v500.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -prefit dheva_v500.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheva_v500.bl4 -out dheva_v500.bl5 -err automake.err -log dheva_v500.log -mod toplevel_DHEval @dheva_v500.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheva_v500.bl5 -o dheva_v500.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:28:21 ###########


########## Tcl recorder starts at 05/27/15 15:29:59 ##########

# Commands to make the Process: 
# Constraint Editor
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheva_v500.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./src/dheva_v500.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheva_v500 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheva_v500.bl2\" -omod \"dheva_v500\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheva_v500 -lci dheva_v500.lct -log dheva_v500.imp -err automake.err -tti dheva_v500.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -blifopt dheva_v500.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheva_v500.bl2 -sweep -mergefb -err automake.err -o dheva_v500.bl3 @dheva_v500.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -diofft dheva_v500.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheva_v500.bl3 -family AMDMACH -idev van -o dheva_v500.bl4 -oxrf dheva_v500.xrf -err automake.err @dheva_v500.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -prefit dheva_v500.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheva_v500.bl4 -out dheva_v500.bl5 -err automake.err -log dheva_v500.log -mod toplevel_DHEval @dheva_v500.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheva_v500.bl5 -o dheva_v500.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:29:59 ###########


########## Tcl recorder starts at 05/27/15 15:31:53 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:31:53 ###########


########## Tcl recorder starts at 05/27/15 15:32:35 ##########

# Commands to make the Process: 
# Optimization Constraint
# - none -
# Application to view the Process: 
# Optimization Constraint
if [catch {open opt_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file opt_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-global -lci dheva_v500.lct -touch dheva_v500.imp
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/optedit\" @opt_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:32:35 ###########


########## Tcl recorder starts at 05/27/15 15:32:44 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:32:44 ###########


########## Tcl recorder starts at 05/27/15 15:33:11 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:33:11 ###########


########## Tcl recorder starts at 05/27/15 15:34:05 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:34:05 ###########


########## Tcl recorder starts at 05/27/15 15:43:56 ##########

# Commands to make the Process: 
# Constraint Editor
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheva_v500.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./src/dheva_v500.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheva_v500 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheva_v500.bl2\" -omod \"dheva_v500\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheva_v500 -lci dheva_v500.lct -log dheva_v500.imp -err automake.err -tti dheva_v500.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -blifopt dheva_v500.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheva_v500.bl2 -sweep -mergefb -err automake.err -o dheva_v500.bl3 @dheva_v500.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -diofft dheva_v500.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheva_v500.bl3 -family AMDMACH -idev van -o dheva_v500.bl4 -oxrf dheva_v500.xrf -err automake.err @dheva_v500.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -prefit dheva_v500.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheva_v500.bl4 -out dheva_v500.bl5 -err automake.err -log dheva_v500.log -mod toplevel_DHEval @dheva_v500.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheva_v500.bl5 -o dheva_v500.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:43:56 ###########


########## Tcl recorder starts at 05/27/15 15:44:20 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -blifopt dheva_v500.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheva_v500.bl2 -sweep -mergefb -err automake.err -o dheva_v500.bl3 @dheva_v500.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -diofft dheva_v500.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheva_v500.bl3 -family AMDMACH -idev van -o dheva_v500.bl4 -oxrf dheva_v500.xrf -err automake.err @dheva_v500.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -prefit dheva_v500.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheva_v500.bl4 -out dheva_v500.bl5 -err automake.err -log dheva_v500.log -mod toplevel_DHEval @dheva_v500.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheva_v500.bl5 -o dheva_v500.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:44:20 ###########


########## Tcl recorder starts at 05/27/15 15:44:50 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -blifopt dheva_v500.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheva_v500.bl2 -sweep -mergefb -err automake.err -o dheva_v500.bl3 @dheva_v500.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -diofft dheva_v500.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheva_v500.bl3 -family AMDMACH -idev van -o dheva_v500.bl4 -oxrf dheva_v500.xrf -err automake.err @dheva_v500.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -prefit dheva_v500.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheva_v500.bl4 -out dheva_v500.bl5 -err automake.err -log dheva_v500.log -mod toplevel_DHEval @dheva_v500.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheva_v500.bl5 -o dheva_v500.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:44:50 ###########


########## Tcl recorder starts at 05/27/15 15:45:36 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheva_v500.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./src/dheva_v500.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheva_v500 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheva_v500.bl2\" -omod \"dheva_v500\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheva_v500 -lci dheva_v500.lct -log dheva_v500.imp -err automake.err -tti dheva_v500.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -blifopt dheva_v500.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheva_v500.bl2 -sweep -mergefb -err automake.err -o dheva_v500.bl3 @dheva_v500.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -diofft dheva_v500.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheva_v500.bl3 -family AMDMACH -idev van -o dheva_v500.bl4 -oxrf dheva_v500.xrf -err automake.err @dheva_v500.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -prefit dheva_v500.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheva_v500.bl4 -out dheva_v500.bl5 -err automake.err -log dheva_v500.log -mod toplevel_DHEval @dheva_v500.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheva_v500.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheva_v500.rs1: $rspFile"
} else {
	puts $rspFile "-i dheva_v500.bl5 -lci dheva_v500.lct -d m4s_128_96 -lco dheva_v500.lco -html_rpt -fti dheva_v500.fti -fmt PLA -tto dheva_v500.tt4 -nojed -eqn dheva_v500.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheva_v500.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheva_v500.rs2: $rspFile"
} else {
	puts $rspFile "-i dheva_v500.bl5 -lci dheva_v500.lct -d m4s_128_96 -lco dheva_v500.lco -html_rpt -fti dheva_v500.fti -fmt PLA -tto dheva_v500.tt4 -eqn dheva_v500.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheva_v500.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheva_v500.rs1
file delete dheva_v500.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheva_v500.bl5 -o dheva_v500.tda -lci dheva_v500.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheva_v500 -if dheva_v500.jed -j2s -log dheva_v500.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:45:36 ###########


########## Tcl recorder starts at 05/27/15 15:53:07 ##########

# Commands to make the Process: 
# Constraint Editor
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheva_v500.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./src/dheva_v500.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheva_v500 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheva_v500.bl2\" -omod \"dheva_v500\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheva_v500 -lci dheva_v500.lct -log dheva_v500.imp -err automake.err -tti dheva_v500.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -blifopt dheva_v500.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheva_v500.bl2 -sweep -mergefb -err automake.err -o dheva_v500.bl3 @dheva_v500.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -diofft dheva_v500.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheva_v500.bl3 -family AMDMACH -idev van -o dheva_v500.bl4 -oxrf dheva_v500.xrf -err automake.err @dheva_v500.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -prefit dheva_v500.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheva_v500.bl4 -out dheva_v500.bl5 -err automake.err -log dheva_v500.log -mod toplevel_DHEval @dheva_v500.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i dheva_v500.bl5 -o dheva_v500.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:53:08 ###########


########## Tcl recorder starts at 05/27/15 15:53:35 ##########

# Commands to make the Process: 
# Fit Design
if [catch {open toplevel_DHEval.cmd w} rspFile] {
	puts stderr "Cannot create response file toplevel_DHEval.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: dheva_v500.sty
PROJECT: toplevel_DHEval
WORKING_PATH: \"$proj_dir\"
MODULE: toplevel_DHEval
VHDL_FILE_LIST: ./src/dheva_v500.vhd
OUTPUT_FILE_NAME: toplevel_DHEval
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e toplevel_DHEval -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete toplevel_DHEval.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf toplevel_DHEval.edi -out toplevel_DHEval.bl0 -err automake.err -log toplevel_DHEval.log -prj dheva_v500 -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" toplevel_DHEval.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"toplevel_DHEval.bl1\" -o \"dheva_v500.bl2\" -omod \"dheva_v500\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj dheva_v500 -lci dheva_v500.lct -log dheva_v500.imp -err automake.err -tti dheva_v500.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -blifopt dheva_v500.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" dheva_v500.bl2 -sweep -mergefb -err automake.err -o dheva_v500.bl3 @dheva_v500.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -diofft dheva_v500.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" dheva_v500.bl3 -family AMDMACH -idev van -o dheva_v500.bl4 -oxrf dheva_v500.xrf -err automake.err @dheva_v500.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci dheva_v500.lct -dev lc4k -prefit dheva_v500.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp dheva_v500.bl4 -out dheva_v500.bl5 -err automake.err -log dheva_v500.log -mod toplevel_DHEval @dheva_v500.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open dheva_v500.rs1 w} rspFile] {
	puts stderr "Cannot create response file dheva_v500.rs1: $rspFile"
} else {
	puts $rspFile "-i dheva_v500.bl5 -lci dheva_v500.lct -d m4s_128_96 -lco dheva_v500.lco -html_rpt -fti dheva_v500.fti -fmt PLA -tto dheva_v500.tt4 -nojed -eqn dheva_v500.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open dheva_v500.rs2 w} rspFile] {
	puts stderr "Cannot create response file dheva_v500.rs2: $rspFile"
} else {
	puts $rspFile "-i dheva_v500.bl5 -lci dheva_v500.lct -d m4s_128_96 -lco dheva_v500.lco -html_rpt -fti dheva_v500.fti -fmt PLA -tto dheva_v500.tt4 -eqn dheva_v500.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@dheva_v500.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete dheva_v500.rs1
file delete dheva_v500.rs2
if [runCmd "\"$cpld_bin/tda\" -i dheva_v500.bl5 -o dheva_v500.tda -lci dheva_v500.lct -dev m4s_128_96 -family lc4k -mod toplevel_DHEval -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj dheva_v500 -if dheva_v500.jed -j2s -log dheva_v500.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:53:35 ###########


########## Tcl recorder starts at 05/27/15 15:53:54 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/blifstat\" -i dheva_v500.bl5 -o dheva_v500.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src dheva_v500.bl5 -type BLIF -presrc dheva_v500.bl3 -crf dheva_v500.crf -sif dheva_v500.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_96.dev\" -lci dheva_v500.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 05/27/15 15:53:54 ###########

