----------------------------------------------------------------------------------
-- Company:		DH electronics GmbH
-- Engineer: 		SG
-- 
-- Create Date:    	23/02/2012 
-- Module Name:    	toplevel_dheval.vhd 
-- Project Name: 	DHeval_V300
-- Target Devices: 	LC4128V-75TN144I
-- Description: 
--
-- Dependencies: 
--
-- Revision:		0.1 - File Created
----------------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity toplevel_DHEval is
port( 

	X_IMX_ADR		: in	STD_LOGIC_VECTOR(15 downto 0);	--IMX Adress Bus
	X_IMX_DAT		: inout	STD_LOGIC_VECTOR(15 downto 0);	--IMX Data Bus
	X_IMX_nOE		: in	STD_LOGIC;						--
	X_IMX_nWE		: in	STD_LOGIC;						--
	X_IMX_nCS		: in	STD_LOGIC;						--

	X_RAM_ADR		: out	STD_LOGIC_VECTOR(17 downto 0);	--RAM Adress Bus
	X_RAM_DAT		: inout	STD_LOGIC_VECTOR(15 downto 0);	--RAM Data Bus
	X_RAM_nOE		: out	STD_LOGIC;						--
	X_RAM_nWE		: out	STD_LOGIC;						--
	X_RAM_nCS		: out	STD_LOGIC;						--
	X_RAM_nUB		: out	STD_LOGIC;						--
	X_RAM_nLB		: out	STD_LOGIC;						--
	T1			: in	STD_LOGIC;			--Taster-Eingang1
	T2			: in	STD_LOGIC;			--Taster-Eingang2
	LED1			: out	STD_LOGIC;			--LED-Ansteuerung1
	LED2			: out	STD_LOGIC;			--LED-Ansteuerung2
	LED3			: out	STD_LOGIC;			--LED-Ansteuerung3
	LED4			: out	STD_LOGIC;			--LED-Ansteuerung4
	LED5			: out	STD_LOGIC;			--LED-Ansteuerung5
	LED6			: out	STD_LOGIC;			--LED-Ansteuerung6
--	X_L5			: out	STD_LOGIC;						--
--	X_L6			: out	STD_LOGIC;						--
--	X_L7			: out	STD_LOGIC;						--
--	X_L8			: out	STD_LOGIC;						--

--	X_T4			: in	STD_LOGIC;						--
--	X_VAR1			: in	STD_LOGIC;						--
--	X_VAR2			: in	STD_LOGIC;						--
--	X_VAR3			: in	STD_LOGIC;						--

	X_PLD_LED		: out	STD_LOGIC			--Power LED PLD

  );

end;
--
architecture DHEval of toplevel_DHEval is

begin

--process(X_VAR1, X_VAR2, X_VAR3, X_T4)
--begin
--	if((X_VAR1 = '0') and (X_VAR2 = '0') and (X_VAR3 = '0')) then
--			if(X_T4 = '0') then
--				X_L5 <= '1';
--				X_L6 <= '1';
--				X_L7 <= '0';
--				X_L8 <= '0';
--			elsif(X_T4 = '1') then
--				X_L5 <= '0';
--				X_L6 <= '0';
--				X_L7 <= '1';
--				X_L8 <= '1';
--			end if;
--	end if;
--end process;
	

process(X_IMX_nCS, X_IMX_nWE, X_RAM_DAT, X_IMX_DAT)
begin
	if	((X_IMX_nCS = '0') and (X_IMX_nWE = '0')) then			-- IMX greift schreibend zu
  			X_RAM_DAT(15 downto 0) <= X_IMX_DAT(15 downto 0);
--			X_T4 <= '1';

	else
			X_RAM_DAT(15 downto 0) <= (OTHERS => 'Z');
--			X_T4 <= '0';

	end if;
end process;


process(X_IMX_nCS, X_IMX_nOE, X_RAM_DAT, X_IMX_DAT)
begin
	if	((X_IMX_nCS = '0') and (X_IMX_nOE = '0')) then			-- IMX greift lesend zu
			X_IMX_DAT(15 downto 0) <= X_RAM_DAT(15 downto 0) ;
			
	else
			X_IMX_DAT(15 downto 0) <= (OTHERS => 'Z');
	end if;
end process;


Taster_Eingang: process(T1,T2)
begin
	if (T1 = '0') then
			
			LED1 <= '0';
			LED2 <= '0';
			LED3 <= '0';
			LED4 <= '0';
			LED5 <= '1';
			LED6 <= '1';

	elsif (T2 = '0') then

			LED1 <= '1';
			LED2 <= '1';
			LED3 <= '1';
			LED4 <= '1';
			LED5 <= '0';
			LED6 <= '0';	


	elsif(T1 = '0') and (T2 = '0') then

			LED1 <= '1';
			LED2 <= '1';
			LED3 <= '1';
			LED4 <= '1';
			LED5 <= '1';
			LED6 <= '1';
	elsif (T1 = '1') and (T2 = '1') then
			LED1 <= '0';
			LED2 <= '0';
			LED3 <= '0';
			LED4 <= '0';
			LED5 <= '0';
			LED6 <= '0';		
		
	end if;
		
end process;



X_RAM_ADR(15 downto 0) <= X_IMX_ADR(15 downto 0);
X_RAM_ADR(16) <= '0';
X_RAM_ADR(17) <= '0';		
X_RAM_nOE <= X_IMX_nOE;	
X_RAM_nWE <= X_IMX_nWE;	
X_RAM_nCS <= X_IMX_nCS;	

X_RAM_nUB <= '0';	
X_RAM_nLB <= '0';



X_PLD_LED <= '0';
--LED4 <= '1';
--LED6 <= '1';

end DHEval;




